Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.client.remoting.notification
Class RemoteDispatcherNotification

    java.lang.Object
      java.util.EventObject
          org.mule.api.context.notification.ServerNotification
              org.mule.module.client.remoting.notification.RemoteDispatcherNotification

All Implemented Interfaces:
  Serializable, MuleContextAware

    public class RemoteDispatcherNotification

extends ServerNotification

`RemoteDispatcherNotification` is used to invoke actions on a remote mule server

See Also:
  Serialized Form

Field Summary
`static int` | `ACTION_DISPATCH`
`static int` | `ACTION_INVOKE`
`static int` | `ACTION_RECEIVE`
`static int` | `ACTION_SEND`
`static int` | `ACTION_WIRE_FORMAT`
`static int` | `REMOTE_DISPATCHER_EVENT_ACTION_START_RANGE` This is a low range since it was allocated before being refactred into the client module from core

Fields inherited from class org.mule.api.context.notification.ServerNotification
`action, ADMIN_EVENT_ACTION_START_RANGE, COMPONENT_EVENT_ACTION_START_RANGE, CONNECTION_EVENT_ACTION_START_RANGE, CONTEXT_EVENT_ACTION_START_RANGE, CUSTOM_EVENT_ACTION_START_RANGE, EVENT_NAME, EXCEPTION_EVENT_ACTION_START_RANGE, MANAGEMENT_EVENT_ACTION_START_RANGE, MESSAGE_EVENT_ACTION_START_RANGE, MODEL_EVENT_ACTION_START_RANGE, muleContext, NO_ACTION_ID, NO_ACTION_NAME, NULL_ACTION, NULL_MESSAGE, REGISTRY_EVENT_ACTION_START_RANGE, resourceIdentifier, ROUTING_EVENT_ACTION_START_RANGE, SECURITY_EVENT_ACTION_START_RANGE, serverId, SERVICE_EVENT_ACTION_START_RANGE, SPACE_EVENT_ACTION_START_RANGE, timestamp, TRANSACTION_EVENT_ACTION_START_RANGE, TYPE_ERROR, TYPE_FATAL, TYPE_INFO, TYPE_TRACE, TYPE_WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RemoteDispatcherNotification(MuleMessage message, int action)`
`RemoteDispatcherNotification(MuleMessage message, int action, String resourceIdentifier)`

Method Summary
`MuleMessage` | `getMessage()`
`Map` | `getProperties()`
`Object` | `getProperty(Object key)`
`void` | `setProperty(Object key, Object value)`

Methods inherited from class org.mule.api.context.notification.ServerNotification
`cloneMessage, generateId, getAction, getActionId, getActionName, getActionName, getPayloadToString, getResourceIdentifier, getServerId, getTimestamp, getType, isResourceIdentifierAnUri, registerAction, setMuleContext, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REMOTE_DISPATCHER_EVENT_ACTION_START_RANGE

    public static final int REMOTE_DISPATCHER_EVENT_ACTION_START_RANGE

  This is a low range since it was allocated before being refactred into the client module from core

  See Also:
    Constant Field Values

### ACTION_RECEIVE

    public static final int ACTION_RECEIVE

See Also:
  Constant Field Values

### ACTION_DISPATCH

    public static final int ACTION_DISPATCH

See Also:
  Constant Field Values

### ACTION_SEND

    public static final int ACTION_SEND

See Also:
  Constant Field Values

### ACTION_INVOKE

    public static final int ACTION_INVOKE

See Also:
  Constant Field Values

### ACTION_WIRE_FORMAT

    public static final int ACTION_WIRE_FORMAT

See Also:
  Constant Field Values

Constructor Detail

### RemoteDispatcherNotification

    public RemoteDispatcherNotification(MuleMessage message,
                                        int action)

### RemoteDispatcherNotification

    public RemoteDispatcherNotification(MuleMessage message,
                                        int action,
                                        String resourceIdentifier)

Method Detail

### getMessage

    public MuleMessage getMessage()

### setProperty

    public void setProperty(Object key,
                            Object value)

### getProperty

    public Object getProperty(Object key)

### getProperties

    public Map getProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.